> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-generated-references-typescript-bindings-u.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/dso



## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/dso
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/dso:
    get:
      tags:
        - external
        - scan
      summary: GET /v0/dso
      operationId: getDsoInfo
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDsoInfoResponse'
components:
  schemas:
    GetDsoInfoResponse:
      type: object
      required:
        - sv_user
        - sv_party_id
        - dso_party_id
        - voting_threshold
        - latest_mining_round
        - amulet_rules
        - dso_rules
        - sv_node_states
      properties:
        sv_user:
          description: User ID representing the SV
          type: string
        sv_party_id:
          description: Party representing the SV
          type: string
        dso_party_id:
          description: |
            Party representing the whole DSO; for Scan only, also returned by
            `/v0/dso-party-id`
          type: string
        voting_threshold:
          description: |
            Threshold required to pass vote requests; also known as the
            "governance threshold", it is always derived from the number of
            `svs` in `dso_rules`
          type: integer
        latest_mining_round:
          $ref: '#/components/schemas/ContractWithState'
          description: |
            Contract of the Daml template `Splice.Round.OpenMiningRound`, the
            one with the highest round number on the ledger that has been signed
            by `dso_party_id`. The round may not be usable as it may not be
            opened yet, in accordance with its `opensAt` template field
        amulet_rules:
          $ref: '#/components/schemas/ContractWithState'
          description: >
            Contract of the Daml template `Splice.AmuletRules.AmuletRules`,

            including the full schedule of `AmuletConfig` changes approved by

            the DSO. Callers should not assume that `initialValue` is
            up-to-date,

            and should instead search `futureValues` for the latest
            configuration

            valid as of now
        dso_rules:
          $ref: '#/components/schemas/ContractWithState'
          description: >
            Contract of the Daml template `Splice.DsoRules.DsoRules`, listing

            the governance rules approved by the DSO governing this Splice
            network.
        sv_node_states:
          description: |
            For every one of `svs` listed in `dso_rules`, a contract of the Daml
            template `Splice.DSO.SvState.SvNodeState`. This does not include
            states for offboarded SVs, though they may still have an on-ledger
            state contract
          type: array
          items:
            $ref: '#/components/schemas/ContractWithState'
        initial_round:
          description: |
            Initial round from which the network bootstraps
          type: string
    ContractWithState:
      type: object
      properties:
        contract:
          $ref: '#/components/schemas/Contract'
        domain_id:
          type: string
      required:
        - contract
    Contract:
      type: object
      properties:
        template_id:
          type: string
        contract_id:
          type: string
        payload:
          type: object
        created_event_blob:
          type: string
        created_at:
          type: string
      required:
        - template_id
        - contract_id
        - payload
        - created_event_blob
        - created_at

````